Record a sighted ID
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form purchaser_id=1 \
--form id_front=@example-file \
--form id_type=driving_licence \
--form 'met_context=Sighted again at the office' \
--form 'consent_given_at=2026-10-17T16:03:47+11:00' \
--form date_of_birth=1990-05-14import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents"
files = { "id_front": ("example-file", open("example-file", "rb")) }
payload = {
"purchaser_id": "1",
"id_type": "driving_licence",
"met_context": "Sighted again at the office",
"consent_given_at": "2026-10-17T16:03:47+11:00",
"date_of_birth": "1990-05-14"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('purchaser_id', '1');
form.append('id_front', 'photo.jpg');
form.append('id_type', 'driving_licence');
form.append('met_context', 'Sighted again at the office');
form.append('consent_given_at', '2026-10-17T16:03:47+11:00');
form.append('date_of_birth', '1990-05-14');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"purchaser_id\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_front\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nphoto.jpg\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_type\"\r\n\r\ndriving_licence\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"met_context\"\r\n\r\nSighted again at the office\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"consent_given_at\"\r\n\r\n2026-10-17T16:03:47+11:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_birth\"\r\n\r\n1990-05-14\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"purchaser_id\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_front\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nphoto.jpg\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_type\"\r\n\r\ndriving_licence\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"met_context\"\r\n\r\nSighted again at the office\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"consent_given_at\"\r\n\r\n2026-10-17T16:03:47+11:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_birth\"\r\n\r\n1990-05-14\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents")
.header("Authorization", "Bearer <token>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"purchaser_id\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_front\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nphoto.jpg\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_type\"\r\n\r\ndriving_licence\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"met_context\"\r\n\r\nSighted again at the office\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"consent_given_at\"\r\n\r\n2026-10-17T16:03:47+11:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_birth\"\r\n\r\n1990-05-14\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"purchaser_id\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_front\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nphoto.jpg\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_type\"\r\n\r\ndriving_licence\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"met_context\"\r\n\r\nSighted again at the office\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"consent_given_at\"\r\n\r\n2026-10-17T16:03:47+11:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_birth\"\r\n\r\n1990-05-14\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body{
"id_verification": {
"id": 2,
"status": "passed",
"id_type": "driving_licence",
"met_context": "Sighted again at the office",
"images": [
"id_front"
]
}
}{
"errors": [
"id_front image is required"
]
}EOIs
Record a sighted ID
Uploads the photo of a purchaser’s ID that the agent saw in person, with where it was seen and the purchaser’s consent. PNG, JPEG or WebP only.
POST
/
{agency_uid}
/
eois
/
{eoi_id}
/
id_documents
Record a sighted ID
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form purchaser_id=1 \
--form id_front=@example-file \
--form id_type=driving_licence \
--form 'met_context=Sighted again at the office' \
--form 'consent_given_at=2026-10-17T16:03:47+11:00' \
--form date_of_birth=1990-05-14import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents"
files = { "id_front": ("example-file", open("example-file", "rb")) }
payload = {
"purchaser_id": "1",
"id_type": "driving_licence",
"met_context": "Sighted again at the office",
"consent_given_at": "2026-10-17T16:03:47+11:00",
"date_of_birth": "1990-05-14"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('purchaser_id', '1');
form.append('id_front', 'photo.jpg');
form.append('id_type', 'driving_licence');
form.append('met_context', 'Sighted again at the office');
form.append('consent_given_at', '2026-10-17T16:03:47+11:00');
form.append('date_of_birth', '1990-05-14');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"purchaser_id\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_front\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nphoto.jpg\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_type\"\r\n\r\ndriving_licence\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"met_context\"\r\n\r\nSighted again at the office\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"consent_given_at\"\r\n\r\n2026-10-17T16:03:47+11:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_birth\"\r\n\r\n1990-05-14\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"purchaser_id\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_front\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nphoto.jpg\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_type\"\r\n\r\ndriving_licence\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"met_context\"\r\n\r\nSighted again at the office\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"consent_given_at\"\r\n\r\n2026-10-17T16:03:47+11:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_birth\"\r\n\r\n1990-05-14\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents")
.header("Authorization", "Bearer <token>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"purchaser_id\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_front\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nphoto.jpg\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_type\"\r\n\r\ndriving_licence\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"met_context\"\r\n\r\nSighted again at the office\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"consent_given_at\"\r\n\r\n2026-10-17T16:03:47+11:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_birth\"\r\n\r\n1990-05-14\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/id_documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"purchaser_id\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_front\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nphoto.jpg\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id_type\"\r\n\r\ndriving_licence\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"met_context\"\r\n\r\nSighted again at the office\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"consent_given_at\"\r\n\r\n2026-10-17T16:03:47+11:00\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"date_of_birth\"\r\n\r\n1990-05-14\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body{
"id_verification": {
"id": 2,
"status": "passed",
"id_type": "driving_licence",
"met_context": "Sighted again at the office",
"images": [
"id_front"
]
}
}{
"errors": [
"id_front image is required"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
Response
Created
Show child attributes
Show child attributes